Bug 1472261 - Rebase nftables to latest upstream version
Rebase nftables to latest upstream version
Status: ON_QA
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: nftables (Show other bugs)
7.5
Unspecified Unspecified
medium Severity medium
: rc
: ---
Assigned To: Phil Sutter
Tomas Dolezal
Ioanna Gkioka
: Rebase
Depends On: 1472260
Blocks: 1470965
  Show dependency treegraph
 
Reported: 2017-07-18 06:21 EDT by Phil Sutter
Modified: 2017-12-06 10:48 EST (History)
7 users (show)

See Also:
Fixed In Version: nftables-0.8-1.el7
Doc Type: Rebase: Bug Fixes and Enhancements
Doc Text:
_nftables_ rebased to version 0.8 The _nftables_ packages have been upgraded to version 0.8, which provides a number of bug fixes and enhancements over the previous version. Notable changes include: * New expressions: `fib, `numgen`, `quota`, `rt`, `notrack` have been added. * Support hashing of any arbitrary key combination has been added. * Support to set non-byte bound packet header fields, including checksum adjustment has been added. * Variable reference for set element definitions and variable definitions from element commands can now be used. * Support to flush set has been added. * Support for logging flags has been added. * Support for `tc classid` parser has been added. * Endianness problems with link layer address have been solved. * Parser to keep map flag around on definition has been fixed. * The time datatype now uses milliseconds, as the kernel expects.
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Phil Sutter 2017-07-18 06:21:00 EDT
Userspace part of nftables is still under heavy development upstream, therefore a rebase makes more sense than individual backports.
Comment 1 Tomas Dolezal 2017-08-08 05:40:54 EDT
granting qa_ack for 7.5; RPL

Note You need to log in before you can comment on or make changes to this bug.